lv.pasts.eme.edoc

## Class EDOCConstants

- java.lang.Object
- - lv.pasts.eme.edoc.EDOCConstants

-     public class EDOCConstants
      extends Object

  `EDOCConstants` class contains various constants related to `EDOC`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BASE_PROPERTY_KEY_EDOC_FORMAT` EDOC base properties key "`eDoc_Format`".
    `static String` | `CORE_PROPERTY_KEY_CREATED` EDOC core properties key "`Created`".
    `static String` | `CORE_PROPERTY_KEY_CREATOR` EDOC core properties key "`Creator`".
    `static String` | `CORE_PROPERTY_KEY_LANGUAGE` EDOC core properties key "`Language`".
    `static String` | `CORE_PROPERTY_KEY_LAST_MODIFIED_BY` EDOC core properties key "`Last_Modified_By`".
    `static String` | `CORE_PROPERTY_KEY_MODIFIED` EDOC core properties key "`Modified`".
    `static String` | `CORE_PROPERTY_KEY_REVISION` EDOC core properties key "`Revision`".
    `static String` | `CORE_PROPERTY_KEY_TITLE` EDOC core properties key "`Title`".
    `static String` | `CORE_PROPERTY_KEY_VERSION` EDOC core properties key "`Version`".
    `static String` | `EDOC_FORMAT_1_01` EDOC format - 1.01.
    `static String` | `EDOC_FORMAT_1_02` EDOC format - 1.02 (2013-02-22).
    `static String` | `EDOC_FORMAT_2_0` EDOC format - 2.0 (2014-12-01).
    `static String` | `IMPLEMENTATION_VERSION` The version number of this implementation.
    `static DateFormat` | `TIMESTAMP` DateFormat used to format date values "`yyyy-MM-dd'T'HH:mm:ssZ`".

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### IMPLEMENTATION_VERSION

          public static final String IMPLEMENTATION_VERSION

      The version number of this implementation.

    - #### EDOC_FORMAT_1_01

          public static final String EDOC_FORMAT_1_01

      EDOC format - 1.01.
      See Also:
        Constant Field Values

    - #### EDOC_FORMAT_1_02

          public static final String EDOC_FORMAT_1_02

      EDOC format - 1.02 (2013-02-22).
      See Also:
        Constant Field Values

    - #### EDOC_FORMAT_2_0

          public static final String EDOC_FORMAT_2_0

      EDOC format - 2.0 (2014-12-01).
      See Also:
        Constant Field Values

    - #### CORE_PROPERTY_KEY_CREATED

          public static final String CORE_PROPERTY_KEY_CREATED

      EDOC core properties key "`Created`".
      See Also:
        Constant Field Values

    - #### CORE_PROPERTY_KEY_CREATOR

          public static final String CORE_PROPERTY_KEY_CREATOR

      EDOC core properties key "`Creator`".
      See Also:
        Constant Field Values

    - #### CORE_PROPERTY_KEY_LANGUAGE

          public static final String CORE_PROPERTY_KEY_LANGUAGE

      EDOC core properties key "`Language`".
      See Also:
        Constant Field Values

    - #### CORE_PROPERTY_KEY_LAST_MODIFIED_BY

          public static final String CORE_PROPERTY_KEY_LAST_MODIFIED_BY

      EDOC core properties key "`Last_Modified_By`".
      See Also:
        Constant Field Values

    - #### CORE_PROPERTY_KEY_MODIFIED

          public static final String CORE_PROPERTY_KEY_MODIFIED

      EDOC core properties key "`Modified`".
      See Also:
        Constant Field Values

    - #### CORE_PROPERTY_KEY_REVISION

          public static final String CORE_PROPERTY_KEY_REVISION

      EDOC core properties key "`Revision`".
      See Also:
        Constant Field Values

    - #### CORE_PROPERTY_KEY_TITLE

          public static final String CORE_PROPERTY_KEY_TITLE

      EDOC core properties key "`Title`".
      See Also:
        Constant Field Values

    - #### CORE_PROPERTY_KEY_VERSION

          public static final String CORE_PROPERTY_KEY_VERSION

      EDOC core properties key "`Version`".
      See Also:
        Constant Field Values

    - #### BASE_PROPERTY_KEY_EDOC_FORMAT

          public static final String BASE_PROPERTY_KEY_EDOC_FORMAT

      EDOC base properties key "`eDoc_Format`".
      See Also:
        Constant Field Values

    - #### TIMESTAMP

          public static final DateFormat TIMESTAMP

      DateFormat used to format date values "`yyyy-MM-dd'T'HH:mm:ssZ`".

Copyright VAS Latvijas Valsts radio un televizijas centrs / Developed by SIA EUSO